﻿#target bridge
if(BridgeTalk.appName == 'bridge'){
	try{
		var wfMenu = MenuElement.create('command', 'Watched Folder', 'at the end of Tools'); //create new menu command
		wfMenu.onSelect = function(){
			try{
				var sFolder = app.document.thumbnail; //current displayed folder
				if(! sFolder.container){ //make sure its a folder
					var wFolder = Folder.selectDialog('Select Watched Folder'); //dialog
				}
				else{
					var wFolder = Folder(sFolder.spec.fsName).selectDlg('Select Watched Folder'); //dialog start at currently displayed folder
				}
				if(wFolder == null){ //user cancel
					return;
				}
			}
			catch(e){
				alert(e + e.line + ' Unable to choose Watched Folder');
				return;
			}
			var tFolder = new Thumbnail(wFolder); //make thumbnail from folder
			var tChildren = tFolder.children; //get children array
			tFolder.registerInterest(interestCallback); //register interest
			function interestCallback (tFolder, tChildren){ //called when folder contents changes
				app.document.bringToFront(); //do stuff here
			}
		}
	}
	catch(e){
		alert(e + e.line);
	}
}